CinePlayer DVR Help - Table of Contents

CinePlayer DVR User's Guide

Introduction

System Requirements

Legal & Licensing Information

Main Panel

Configuration Preferences

Recording Video

Scheduled Recording

FAQ and Troubleshooting


CinePlayer DVR Help - Introduction

CinePlayer DVR

Introduction • CinePlayer DVR Trial Version • Key Product Features

Introduction

Welcome to CinePlayer DVR. With CinePlayer DVR you can turn your PC into a personal video recorder. CinePlayer DVR records TV and video from your TV tuner card directly into MPEG-1, MPEG-2 or ASF! Record from any video source straight onto your hard drive in real-time. Then watch your shows whenever you want. At the same quality and resolution as your TV!

CinePlayer DVR is an easy to use tool for recording video directly to compressed files. CinePlayer DVR includes MPEG-1 and ASF recording and CinePlayer DVR Plus also includes MPEG-2.

Top

Table of Contents

CinePlayer DVR Trial Versions

Your copy of CinePlayer DVR may be a free Trial version. If so, it will be clearly marked "Trial." The Trial version of CinePlayer DVR is a ShareWare product. Shareware is a type of software that allows you to try before you buy. If you like what CinePlayer DVR Trial does, we encourage you to purchase the full Retail upgrade!

Limitations of the Trial Version:

  1. Nag screens pop up in various places (including startup and shutdown of the application) suggesting you buy the product.
  2. Recorded files are limited to a maximum of 10 minutes.
  3. The product will stop working after 30 days.
A retail version of CinePlayer DVR is available to the user for a charge and has none of the limitations listed above.

Top

Table of Contents

Key Product Features

  • Real-Time MPEG-1, MPEG-2 (CinePlayer DVR Plus only) and ASF Encoding
  • ISO Compliant Streams
  • VFW driver Support (limited WDM driver support)
  • TV Tuner Support
  • Fully Synchronized Audio and Video
  • Audio/Video Sync Problem Detection on the fly
  • VideoCD support: 352x240 (NTSC) or 352x288 (PAL/SECAM)

    • Features of CinePlayer DVR:

    • Record compressed video to a file in real time.
    • Supports MPEG-1, ASF formats.
    • Includes a scheduler to record events unattended.
    • Plays recorded files and any DirectShow supported format.

    Features of CinePlayer DVR Plus

    • Supports MPEG-2 formats.

    Frame sizes (Formats) Supported

Format | Frame Size | Min. CPU Seed
MPEG-1 | 176x144 | 300 MHz
 | 320x240 | 350 MHz
 | 352x240 (NTSC) | 400 MHz
 | 352x288 (PAL) | 400 MHz
MPEG-2 | 176x144 | 300 MHz
 | 320x240 | 350 MHz
 | 352x240 (NTSC) | 400 MHz
 | 352x288 (PAL) | 400 MHz
ASF | 176x144 | 350 MHz
 | 320x240 | 400 MHz

Top

Table of Contents


CinePlayer DVR Help - System Requirements

System Requirements

Software Requirements • Hardware Requirements • Supported Hardware

Software Requirements

Operating Systems supported
Windows 98, Windows 98 SE, Windows Me

Other Software Requirements
DirectX 7.0 run-time or later.
DirectX Media 6.0 run-time or later. Systems based on Windows 98 or later will have a compatible version of DirectXMedia already installed. You can download DirectX Media runtime from the Microsoft site: http://www.microsoft.com/directx/

Top

Table of Contents

Hardware Requirements

Processor
INTEL (Celeron, Pentium II, Pentium III) at 300 MHz minimum*
AMD (K6, Athlon, Duron) at 300 MHz minimum*

RAM
64 MB minimum, 128 MB recommended

Additional Hardware
Video Card with hardware overlay support
Video Capture Board with VFW** drivers
Audio Card

---------------------------
* - For CinePlayer DVR Plus, you may require a 500 MHz or faster processor in order to record MPEG-2 formats at full frame rates.

** - CinePlayer DVR is designed and tested to work with Video For Windows capture drivers, as these are the most common and robust drivers for capture hardware currently on the market. CinePlayer DVR will work with WDM drivers that meet all of Microsoft's specifications for capture hardware, but have not been fully tested. CinePlayer DVR may not work satisfactorily with some WDM drivers.

Top

Table of Contents

Supported Hardware

Generally, CinePlayer DVR supports any PCI bus mastering capture device that uses the Brooktree (Bt848/878) chipset. Boards based on other chipsets (e.g.: Philips) may work, if they support a YUY2 or UYVY color sampling mode. We recommend using stand-alone PCI bus master capture boards rather than all-in-one (capture + VGA) boards. Generally, capture boards based on Motion JPEG chipsets (e.g.: Zoran), MPEG chipsets (e.g.: C-Cube) or proprietary designs (e.g.: ATi Theatre) will not work.

Recommended capture boards

Capture Board | Chipset | Driver or Patch (Operating System)
3dfx Desktop TV | Bt878 | VFW (Win 95/Win 98)
ATi TV Wonder | Bt878 | VFW (Win 95/Win 98)
AIMSlabs Xtreme | Bt848 | VFW (Win 95/Win 98)
AITech Net-TV98 | Bt848 | VFW (Win 95/Win 98)
AVerMedia EZ-Capture | Bt848 | VFW (Win 95/Win 98)
AVerMedia TV98 | Bt878 | VFW (Win 95/Win 98) WDM (Win 98)
Hauppauge WinTV | Bt878 | VFW (Win 95/Win 98)
Intel Smart Video Recorder III | Bt848 | VFW (Win95/Win 98)
MMAC Osprey | Bt848 | VFW (Win 95/Win 98)
ixMicro ixTV | Bt878 | VFW (Win 95/Win 98) WDM (Win 98)
LifeView FlyVideo98 | Bt878 | VFW (Win 95/Win 98)
Modular Galaxy | Bt878 | VFW (Win 95/Win 98) WDM (Win 98)
Pinnacle Studio PCTV | Bt848 | VFW (Win 95/Win 98)
Prolink | Bt878 | VFW (Win 95/Win 98)
Teppro TEPTV | Bt878 | VFW (Win 95/Win 98)
Vast PCI TV | Bt848 | VFW (Win 95/Win 98)
Zoltrix TVMax | Bt848 | VFW (Win 95/Win 98)
Items listed in RED have not been tested with CinePlayer DVR.

IMPORTANT: The following board and driver combinations are not recommended due to poor performance or DirectShow compatibility issues.

  • Matrox Marvel G200 with VFW Matrox VidCap Driver
  • ATI All In Wonder Pro with VFW ATI Multimedia Driver

Recommended Audio Boards

CinePlayer DVR supports almost any Sound Blaster-compatible audio board. However you should avoid the following boards due to audio/video syncronization problems they may cause:
  • Sound Blaster AWE 64: Model CT4520
  • Sound Blaster 16 (VIBRA): Model CT4170

Unsupported capture boards:

Chipsets and drivers may not be supported for any of the following reasons:
  • No YUY2 or UYVY support
  • Problems with DirectX Media
  • Drivers issues
Some examples of unsupported capture boards are:
  • Elsa Victory Erazor
  • Matrox Rainbow Runner
  • Matrox Marvel
  • ASUS V3400/3800
  • Miro DC10/20
  • Dimond DTV2000
  • ATI All-In-Wonder 128 (based on Rage 128 & Rage Theatre chipsets)
  • STB TVPCI
  • FAST AV Master

    • Top


CinePlayer DVR Help - Legal & Licensing

Legal & Licensing Statements

Trademark Notice and Warranty Disclaimer

CinePlayer, CineMaster, Software CineMaster, Hardware CineMaster, CinePlayer DVR, CinePlayer DVR Trial, CinePlayer DVR Plus, CinePlayer DTV and CinePlayer DVD are trademarks of RAVISENT Technologies, Inc. Copyright 1998 - 2000 RAVISENT Technologies, Inc. All Rights Reserved.

Windows, Windows 98, Windows 98SE, Windows 95, Windows 2000, Windows Millennium, MCI, DirectShow, DirectX, Video for Windows, Windows Explorer, and Internet Explorer are trademarks of Microsoft, Inc.

Pentium and Celeron are trademarks of Intel Corp.

K6, Athlon and Duron are trademarks of Advanced Micro Devices, Inc.

WinTV is a trademark of Hauppauge Computer Works, Inc.

All other trademarks mentioned in this manual or accompanying materials are for identification purposes only and are in no way intended to infringe on the copyrighted properties of their respective owners.

RAVISENT ASSUMES NO LIABILITY FOR LOSS OF DATA OR FOR THE LOSS OF INCOME, OR EXPECTATIONS OF INCOME, THAT MIGHT DERIVE THROUGH THE USE OR MIS-USE OF THIS PRODUCT.

RAVISENT WILL NOT BE HELD LIABLE FOR THE CRIMINAL USE OF ITS PRODUCTS.

Disclaimer

Information in this document is subject to change without notice and does not represent a commitment on the part of RAVISENT. The software provided for CinePlayer DVR is designed to work acceptably well under the conditions
described in this document.


CinePlayer DVR Help - Main Panel

CinePlayer DVR Main Panel

Keyboard Shortcuts • CinePlayer DVR Menu • CinePlayer DVR Remote Control • Internet Links • Video File Library

We will discuss the controls found on the CinePlayer DVR main panel in three groups:

  • Window Controls - Provide global program control.
  • Mode Controls - Determine which operational mode CinePlayer DVR operates in. Provides readout views of current activities.
  • Function Controls - Provides control over program functions by operational Mode.

    Top

    Table of Contents

Window Controls

The Window Controls provide global program control. They consist of four buttons located in a central ring:

Exit Button. Closes CinePlayer DVR.
Maximize Button. Zooms CinePlayer DVR to fill the available screen area.
Minimize Button. Reduces CinePlayer DVR to a button in the Windows Task Bar.
Preferences Button. Opens the Configuration Preferences control panel.

    Top

    Table of Contents

Mode Controls

This area of the Main panel consists of a combination of read-only displays and interactive controls. Each is described below:

Mode Switches

Click the word "Player" to switch to Play Mode. Player mode allows you to play any media file type recognized by the Windows DirectShow media system. This includes MPEG-1, MPEG-2 and ASF files created by CinePlayer DVR. When in Player mode, certain of CinePlayer DVR's control buttons may become greyed-out and unavailable. This is normal behavior, as these functions are not appropriate to Player mode.
Click the words "TV Tuner" to switch to TV Tuner mode. This allows you to use the TV tuner input of your capture device (if present) to select television broadcasts for off-air recording. When in TV Tuner mode, certain of CinePlayer DVR's control buttons may become greyed-out and unavailable. This is normal behavior, as these functions are not appropriate to TV Tuner mode.
Click the word "S-Video" to switch to S-Video Input mode. This allows you to record from a video camera or other analog video equipment connected to your capture device's S-Video input (if present). When in S-Video Input mode, certain of CinePlayer DVR's control buttons may become greyed-out and unavailable. This is normal behavior, as these functions are not appropriate to S-Video Input mode.
Click the word "Composite" to switch to Composite Input mode. This allows you to record from a video camera or other analog video equipment connected to your capture device's composite video input (if present). When in Composite Input mode, certain of CinePlayer DVR's control buttons may become greyed-out and unavailable. This is normal behavior, as these functions are not appropriate to Composite Input mode.

Status Indicator

This read-only area of the Main panel displays the currently selected Mode.

Position Slider

You can use the Position slider to index through a media file when in Player mode. In all other modes, the position slider functions as a read-only display.

Channel Selection Controls

When in TV Tuner mode, the currently tuned TV channel is displayed in the central readout. Use the plus sign to tune to the next higher channel. Use the minus sign to tune to the next lower channel. Tuning behavior is determined by your settings in the Tuner Options section of the Video Preferences Tab (see Configuration Preferences).

Volume Slider

You can set playback (and recording MONITOR) volume using the volume slider. This setting does not affect the volume level of recorded audio! You must use your computer's volume control panel to set recording levels.

    Top

    Table of Contents

Function Controls

The Function controls provide basic recording or playback functionality. They are enabled or greyed-out, depending on CinePlayer DVR's currently selected operational mode.

Record Button. Click this button to begin recording to a file. Currently selected encoder parameters are used to determine the encoding method, quality and destination of the file. This button is inactive in Player mode.
Grab Frame Button. Click this button to capture the contents of the video display window into a Windows bitmap (.BMP or .DIB) file. This button is inactive in Player mode.
Open Video Library Button. Click this button to select media files for playback. For more information about the Video Library, see below. This button is only active in Player mode.
Skip Commercials Button. Click this button to jump ahead approximately 30 seconds. This button is only active in Player mode.
Fast Forward Button. Click this button to advance through the media file. This button is only active in Player mode.
Stop Button. Click this button to stop playback. This button is only active in Player mode.
Play Button. Click this button to begin media file playback. When playing, this button will switch to a Pause button. This button is only active in Player mode.
Pause Button. Click this button to pause the currently playing media file. This button is only visible when a file is playing.
Schedule Button. Click this button to activate the CinePlayer DVR Scheduled Recording facilities. for more information, see schedule.htm Scheduled Recording. This button is always active.

    Top

    Table of Contents

Keyboard Shortcuts

Player Mode | "CTRL" + "P"
Tuner Mode | "CTRL" + "T"
S-Video Mode | "CTRL" + "S"
Composite Mode | "CTRL" + "C"
Play/ Pause | "SPACEBAR"
Fast Forward | "CTRL" + Right Arrow
Stop Playback | "CTRL" + "Z"
Commercial Skip | "CTRL" + "K"
Record/ Stop Recording | "CTRL" + "R"
Channel Down | "CTRL" + Down Arrow
Channel Up | "CTRL" + Up Arrow
Snapshot | "CTRL" + "G"
Open Preferences | "CTRL" + "O"
Open Scheduler | "CTRL" + "H"
Open Video Library | "CTRL" + "L"
Maximize | "CTRL" + "F"
Minimize | "CTRL" + "M"
Exit | "CTRL" + "X"

    Top

    Table of Contents

CinePlayer DVR Menu

Right-clicking anywhere over the CinePlayer DVR main panel will produce a pop-up menu. This menu has seven selections:

  • Open Preferences - Opens Configuration Preferences control panel.
  • Launch Scheduler - Opens Scheduler module.
  • Help - Launches CinePlayer DVR help file. F1 is keyboard shortcut.
  • About - Provides current version information about CinePlayer DVR.
  • Show Remote In Tuner Mode - Shows/ hides 'Remote Control' pad. Active only in TV Tuner mode.
  • Always On Top - When checked puts video window on top of any other running application.
  • Exit - Exits CinePlayer DVR.

    Top

    Table of Contents

CinePlayer DVR Remote Control

CinePlayer DVR, when in TV Tuner mode, offers an additional tuning utility in the form of a Remote Control. You can select whether or not this is displayed using the General Tab in the Configuration Preferences control panel.

New in version 2.5
You can also use numeric pad on your keyboard to select/ change channels in TV Tuner mode, whether the Remote Control is active or not.

    Top

    Table of Contents

Internet Links

The oval area indicated in the picture above contains internet links to RAVISENT Technologies, Inc. and additional web destinations. Clicking the upper or lower halves of this oval will launch your Internet browser and load the referenced pages.

Moving the mouse pointer over the upper half of the oval reveals the link to ravisent.com.

Moving the mouse pointer over the lower half of the oval
reveals the link to ravisentdirect.com, the Ravisent online store.

    Top

    Table of Contents

Video File Library

When in Player mode, you can select numbers of previously recorded media files from a library maintained by CinePlayer DVR. The following steps demonstrate how to add files to this library:

1) Click the Open Library button. The Video Library window will open.

Any previously added video files will already be listed.

2) To add a new file, click the Add Videos button. A standard Windows file requester will appear.

3) Use the file requester to navigate to where your media files are located and select one or more files. When you click the Open button, these files will be added to the list in your Video Library window.

4) Click the Play Selected button to play the video file.

  • Select an item in the Video Library list and click the Rename button to change the name as it appears in the list. Renaming an item in the Video Library list does not change the name of the file on your hard disk.
  • Select an item in the Video Library list and click the Delete button to remove it from the list. Deleting an item from the Video Library list will not remove the file from your hard disk.
  • Click the Cancel button to close the Video Library and abandon any changes you may have made.
  • Select an item in the Video Library list and click the Play Selected button to begin immediately playing that video file.


CinePlayer DVR Help - Configuration Preferences

Configuration Preferences

Encoder Selection • General Tab • Video Tab • Audio Tab • Picture Controls Tab • Capture Tab

You control CinePlayer DVR's behavior, including selection of recording formats and encoding options, through the tabbed pages of the Configuration Preferences control panel. Clicking the Preferences button on the main panel or Right-clicking and selecting the Configure menu item produces the Preferences control panel.

Click the 'Open Preferences' button on the main panel.
Or right-click and select 'Open Preferences' from the menu.

Encoder Selection

Begin by selecting the encoder you wish to use. CinePlayer DVR Trial and CinePlayer DVR both support MPEG-1 and ASF encoders. Only CinePlayer DVR Plus adds MPEG-2 support.
  • MPEG-1 - This general purpose compression method provides fixed bitrate video at quarter-screen resolutions and smaller. It is useful for a variety of multimedia and Internet delivery purposes. If you plan to create Video CDs, you must select MPEG-1 as the encoder.
  • MPEG-2 - MPEG-2 is a higher-quality compression method that permits the video bitrate to vary, depending on the amount of movement or complexity present in the source. MPEG-2 will generally require a faster CPU in order to deliver the best real-time recording results. (MPEG-2 will be greyed-out and unavailable in CinePlayer DVR and CinePlayer DVR Trial).
  • ASF - ASF is Microsoft's compression method for producing very low bitrate video that can be streamed across the Internet. Use this method if you want to produce video specifically for Internet delivery.

Top

Table of Contents

Preferences General Tab

The General tab allows you to set global CinePlayer DVR options.

  • Keep Video Window Always On Top - Check this box if you want to video display window to remain on top of any other application windows you may open.
  • Show Remote Controller in TV Tuner mode - Check this box if you want to see or use the CinePlayer DVR Remote Controler tuning pad.
  • Temporary Directory - Use this Windows-style text field and Browse button to locate a hard drive or directory where you want CinePlayer DVR to store its temporary capture files. Note that you will always be able to rename and store these files to another permanent location.

Top

Table of Contents

Preferences Video Tab

The Video Tab provides options for selecting and configuring the CinePlayer DVR capture device.

  • Video Device - This drop down allows you to select among registered video capture devices. Most driver sets will not permit more than one Brooktree chipset-based device to be present in a system, so most users will not have many capture devices to select from.
  • Video Standard - Select the video standard appropriate to your location (NTSC, PAL or SECAM).
  • Video Source Dialog - Clicking the Video Source button calls the Video Source control panel provided by your capture device's driver. This will vary depending on the specific capture device installed in your system. Please refer to the documentation for your capture device to make further settings.
  • Video Format Dialog - Clicking the Video Format button calls the Video Format control panel provided by your capture device's driver. This will vary depending on the specific capture device installed in your system. Please refer to the documentation for your capture device to make further settings. Note that the Video format control panel must include (and you must select) either YUY2 or UYVY color sampling model.
  • Tuner Options - This section is available when a TV Tuner-based device is selected.
    • Show Tuned Channels Only - When this box is checked, the main panel tuning controls will only permit tuning to channels that appear in the TV Tuner's channel list. When this box is not checked, the main panel tuning controls will permit you to tune any channel between 2 and 192 (whether a signal is detected or not).
    • Tuner Source - Select currently used tuner source - Cable or Antenna.
    • Auto Tune - Clicking the Auto Tune button will scan all available channels presented by the Tuner. This creates a local channel list.
    • Customize Channels - Clicking the Customize Channels button will produce a dialog box where you can add channels to the list or delete channels from the list.

Top

Table of Contents

Preferences Audio Tab

For each of the supplied encoders (including MPEG-2, in the case of CinePlayer DVR Plus), audio settings are managed internally to the encoder. If your audio hardware is properly set up, it will be recorded and you will hear audio during playback. If you have trouble recording audio or hearing it when playing back a recorded file, consult the CinePlayer DVR FAQ.

  • Mixer Recording Source - Drop-down combo box contains list of audio inputs (or recording sources) supported by your audio device. Typically, CinePlayer DVR will use 'Line In'. Make sure that analog audio input is connected to sound board's 'Line In' jack.
  • Launch Volume Controls - Clicking the Launch Volume Controls button will produce the standard Windows volume controls for your audio hardware. Use the Volume Control Recording sliders to set input volume levels, balance, etc.

Top

Table of Contents

Preferences Picture Controls Tab

Use these sliders to control the picture quality of the video to be recorded.

  • Contrast - Adjusts the ratio of brights to darks. Lower values flatten out the image. Higher values sharpen the image.
  • Brightness - Sets the overall lightness or darkness of the image. Lower values are darker. Higher values are lighter.
  • Saturation - Adjusts the amount of color present in the image. Lower values tend toward black & white. Higher values have more color.
  • Hue - Adjusts the actual colors in the image. This is similar to the Tint control on a television set. If a color is blue with the slider set at 50%, it will shift toward green as you move the slider toward 0%. Blue shifts toward red as you move the slider toward 100%.

Top

Table of Contents

Preferences Capture Tab

IMPORTANT: The settings you make in this panel will directly affect the quality, and in some cases, the success of your recordings. Any time you change these settings, test them immediately using the CinePlayer DVR Record function.

  • Picture Size - Use this drop down to select the target output resolution. The larger the Picture Size, the faster your CPU must be in order to encode successfully in real-time.
  • MPEG Bitrate - Use this drop down to select the target bitrate. Bitrate is the speed at which data is delivered during playback. If you want to prepare a video file suitable for Internet distribution, select the bitrate that is appropriate (e.g.: 56kbps modem, 384kbps DSL, etc.).
  • Capture with Preview - When this box is checked, the video display window will continue to update while recording. Capturing with Preview requires more CPU resources. If you have a slower system, you will be able to capture at higher bitrates or quality settings when you turn Preview off.
  • Capture Quality - This trio of radio buttons controls the relative quality of the recording. Select Low for least quality, Medium for average uses and High for the best possible quality.
  • Video Noise Reduction - 'Enable' check-box switches noise reduction filter on or off. Use noise reduction filter whenever picture quality is less than perfect (for example, TV channel slightly out of tune). Use slider bar to adjust filtering level.


CinePlayer DVR Help - Recording

Recording

This section will lead you through the steps of recording a video file.

1) Begin by clicking the Open Preferences button.

2) Our example will assume that we wish to capture a video file and prepare it for delivery over the Internet at moderate DSL bitrates. For this, we will select the ASF format.

Be sure to specify a temporary storage directory with enough space to contain your recording. Then, select the desired Encoder type.

3) From the Capture tab, select the target bitrate for your recorded file.

4) When done, you are ready to begin recording. At the appropriate time, simply click the Record button:
5) While recording, the record button image changes to a Stop Recording button:
And the Position indicator begins to count elapsed time.

6) When done, click the Stop Recording button to stop recording.

7) Immediately, a dialog box will appear:

8) Type in a name for your recorded file:
9) When done, you can reload the file by switching to Player Mode:


CinePlayer DVR Help - Scheduled Recording

Scheduled Recording

Single Event Recording • Multiple (Repeat) Recording • Unattended Scheduler Operation

This section will lead you through the steps to schedule one or more unattended recording sessions.

IMPORTANT: Remember that CinePlayer DVR will not record your scheduled events if you have not set up the encoding preferences correctly. Always be sure to test your preferences settings through simple recording first.

Single Event Recording

1) Assuming that you have a working video capture card correctly configured, launch CinePlayer DVR and click the Open Scheduler button:
2) The scheduler window will open:

3) Click the Add button. This produces the Add New Task wizard:

4) Type in a name for the scheduled event.

When you click the Next button, an Event Schedule editor window will appear:

5) Select a Date, Channel, Encoder type, Start Time and End Time. If you wish, you can specify that the recorded file should be deleted from its destination directory after a given number of days.

6) Click the Done button when you are ready to proceed.

7) You can continue to schedule additional events until there is no more (calculated) hard disk space available.

  • If you wish to delete a scheduled event, select it in the Task list and click the Delete button.
  • You can modify an existing event by selecting it in the Task list and then clicking the Modify button. This will launch the Event Scheduler wizard again for that event.
  • Clicking the Electronic Programming Guide button will launch your Internet browser, allowing you to consult online television schedules.

8) When you are finished creating and editing your Task list, click the OK button.

9) In order for scheduled recording to work, you MUST exit CinePlayer DVR. Click the Exit button.

Top

Table of Contents

Multiple (Repeat) Recording

You can also configure CinePlayer DVR to record the same program every day or on the same day every week.

1) To do this, launch the New Task wizard by clicking the Add button:

2) Enter a name for the recording session and click the Multiple radio button. Then click Next:
3) The Multiple Event scheduler presents different options. Specity a Start Date:
4) Specify an End Date:
5) If you want to record the program once a week, check the box for the weekday you wish to record. If you want to record the program every day of the week, check all of the boxes:
6) Then, set the Start Time, End Time and Encoder type (Codec). Click Done.
7) As with single-event scheduling, you must exit CinePlayer DVR for scheduled recording to be successful. Click the Exit button.

Top

Table of Contents

Unattended Scheduler Operation

When it has been set up and activated, the Event Scheduler resides in your computer's System Tray. It's icon is a small red circle with a yellow S:

As a scheduled event nears, the icon in the system tray will begin to blink red/yellow/red and count down the minutes:

At 1 minute before the event, CinePlayer DVR will be launched and the event will be recorded. Recorded files will be stored in the Temporary directory using the name you supplied for the event (e.g.: Grover's Playhouse.mpg, in the cae illustrated above).

Any time the Event Scheduler is open or CinePlayer DVR is running (in TV Tuner mode, Player mode, etc.), the icon in the system tray will indicate that Scheduled event processing is not available.

Close the Event Scheduler and/or exit CinePlayer DVR in order to reactivate Scheduled event processing.


CinePlayer DVR Help - FAQ & Troubleshooting

FAQ and Troubleshooting

Hardware Compatibility • Useful Tips • General Q & A • Problems and Solutions • Known Issues

Hardware Compatibility

Generally, CinePlayer DVR supports any PCI bus mastering capture device that uses the Brooktree (Bt848/878) chipset. Boards based on other chipsets (e.g.: Philips) may work, if they support a YUY2 or UYVY color sampling mode. We recommend using stand-alone PCI bus master capture boards rather than all-in-one (capture + VGA) boards. Generally, capture boards based on Motion JPEG chipsets (e.g.: Zoran), MPEG chipsets (e.g.: C-Cube) or proprietary designs (e.g.: ATi Rage Theatre) will not work.

Recommended capture boards

Capture Board | Chipset | Driver or Patch (Operating System)
3dfx Desktop TV | Bt878 | VFW (Win 95/Win 98)
ATi TV Wonder | Bt878 | VFW (Win 95/Win 98)
AIMSlabs Xtreme | Bt848 | VFW (Win 95/Win 98)
AITech Net-TV98 | Bt848 | VFW (Win 95/Win 98)
AVerMedia EZ-Capture | Bt848 | VFW (Win 95/Win 98)
AVerMedia TV98 | Bt878 | VFW (Win 95/Win 98) WDM (Win 98)
Hauppauge WinTV | Bt878 | VFW (Win 95/Win 98)
Intel Smart Video Recorder III | Bt848 | VFW (Win95/Win 98)
MMAC Osprey | Bt848 | VFW (Win 95/Win 98)
ixMicro ixTV | Bt878 | VFW (Win 95/Win 98) WDM (Win 98)
LifeView FlyVideo98 | Bt878 | VFW (Win 95/Win 98)
Modular Galaxy | Bt878 | VFW (Win 95/Win 98) WDM (Win 98)
Pinnacle Studio PCTV | Bt848 | VFW (Win 95/Win 98)
Prolink | Bt878 | VFW (Win 95/Win 98)
Teppro TEPTV | Bt878 | VFW (Win 95/Win 98)
Vast PCI TV | Bt848 | VFW (Win 95/Win 98)
Zoltrix TVMax | Bt848 | VFW (Win 95/Win 98)
Items listed in RED have not been tested with CinePlayer DVR.

IMPORTANT: The following board and driver combinations are not recommended due to poor performance or DirectShow compatibility issues.

  • Matrox Marvel G200 with VFW Matrox VidCap Driver
  • ATI All In Wonder Pro with VFW ATI Multimedia Driver

Recommended Audio Boards

CinePlayer DVR supports almost any Sound Blaster-compatible audio board. However you should avoid the following boards due to audio/video syncronization problems they may cause:
  • Sound Blaster AWE 64: Model CT4520
  • Sound Blaster 16 (VIBRA): Model CT4170

Unsupported capture boards:

Chipsets and drivers may not be supported for any of the following reasons:
  • No YUY2 or UYVY support
  • Problems with DirectX Media
  • Drivers issues
Some examples of unsupported capture boards are:
  • Elsa Victory Erazor
  • Matrox Rainbow Runner
  • Matrox Marvel
  • ASUS V3400/3800
  • Miro DC10/20
  • Dimond DTV2000
  • ATI All-In-Wonder 128 (based on Rage 128 & Rage Theatre chipsets)
  • STB TVPCI
  • FAST AV Master

Top

Table of Contents

Useful Tips

  • Double click on a video window to maximize it
  • Drag and drop a media file into a video window (Player mode) to start playback

Top

Table of Contents

General Q & A

Q | What hardware do I need for CinePlayer DVR to work?
A | The main thing you need is a TV Tuner card. There are several that work with CinePlayer DVR. You also need at least a PII 300MHz or Celeron 300MHz. If you want to record at the highest quality level, you will need 350MHz or higher.
Q | Do I need a special hard drive for CinePlayer DVR to work?
A | No. Because CinePlayer DVR compresses the video in real-time, any recently produced standard hard drive will work.
Q | What can I do with the video files CinePlayer DVR produces?
A | These files are like any other files. You can copy and paste them, burn them onto CD's, post them onto your web page or send them in emails. You can name the files anything you like, as long as you preserve the .mpg or .asf extension.
Q | Can CinePlayer DVR files be played on other computer platforms?
A | The files CinePlayer DVR creates are ISO compliant MPEG streams. They can be played with any MPEG player on any platform, including Video CD (VCD).
Q | Will CinePlayer DVR work with any TV tuner board?
A | Check here for the list of TV tuner boards CinePlayer DVR works with. If you are having trouble with your board, check the list of Known Issues.
Q | What kinds of video can I record with CinePlayer DVR?
A | CinePlayer DVR will record any video input supported by your video capture device. This can include cable, composite (VCR, camcorder) S-video and antenna signals.

Top

Table of Contents

Problems and Solutions

IMPORTANT: MAKE SURE DIRECTXMEDIA 6.0 (or later) RUNTIME IS INSTALLED/REINSTALLED BEFORE USING CINEPLAYER DVR! THIS COULD FIX MANY PROBLEMS YOU MAY ENCOUNTER.

Problem: Capture board doesn't support YUY2 nor UYVY formats.
Solution: Some manufacturers don't expose YUY2 nor UYVY formats, though these formats are supported by all Brooktree capture chips.

If you have VFW drivers and YUY2 not UYVY formats are not listed in a Video Format dialog in many cases this can be fixed by downloading a proper dialog file from our web site at "http://www.ravisentdirect.com/DVR/faq.htm."

For BT848/9 based boards please download a self extracting file BT848DLG.EXE and overwrite the old BT848DLG.DLL located in the Windows\System directory. For BT878/9 based boards please download a self extracting file BTVIDDLG.EXE and overwrite the old BTVIDDLG.DLL located in the Windows\System directory.

If you have WDM drivers, please contact a board manufacturer for an updated driver.

Problem: Capture driver is initialized OK, recording started with "Preview Capture: ON" but preview video is jerky, not visible, or computer is not responding.
Solution: The most likely cause of this problem can be overlay surface problems. Possible solutions could be installing the latest drivers for your video card, lowering a display resolution, adding more video memory or changing your video card.

Also you could try recording without preview by switching "Capturing With Preview" - OFF.

Problem: CinePlayer DVR stopped recording (due to a problem with audio/video sync).

a) In most cases this problem is caused by the following:

  • video capture driver/audio card driver problems
  • CPU is overloaded
  • system is low on memory
  • some programs running in the background
  • computer is not disconnected from the network
  • bad quality of a video source
b) Your system may not be fast enough for real-time encoding at given Video Format and Picture Quality. To find the optimal settings for the Picture Quality we recommend running several tests using different Quality settings while monitoring CPU load with a System Monitor. We recommend keeping CPU load no more than 75-80% for optimal performance.

c) The following audio cards cause sync problems:
Sound Blaster AWE 64: Model CT4520
Sound Blaster 16 (VIBRA): Model CT4170

Problem: WebTV problems
Solution: WebTV for Windows 98 may use your TV Tuner the same time as CinePlayer DVR. Make sure WebTV is Off or Paused when using CinePlayer DVR.
Problem: Cannot hear/record audio.
Solution: Be sure your video capture device is correctly connected to your audio hardware. Refer to the documentation for your capture device and audio card.

If you can hear audio when previewing but there is no audio in a recorded MPEG file check if "Line In" is the selected input in the Windows Volume Control.

Problem: Problems with overlay surface (broken overlay surface when dragging, video window appears through any overlapping windows).
Solution: CinePlayer DVR uses overlay surface for video preview. Assuming that your Video Capture Card/Video Card drivers support overlay properly this problem is usually caused by the lack of video memory.

Top

Table of Contents

Known Issues

General | Video standard resets to NTSC with some capture cards.
 | CinePlayer DVR doesn't set the video standard for the capture card. This must be done manually through the video standard button in the Configuration Preferences control panel.
 | There is no preview with the combination of Nvidia based video cards and some capture cards.
 | Frame Capture doesn't work with all capture cards.
 | CinePlayer DVR does not support most WDM drivers.
 | CinePlayer DVR may appear to have stopped responding after an ASF recording due to the time it takes to index a ASF file. Be patient.
 | When using some capture boards without TV Tuner video inputs may appear with incorrect names due to a board manufacturers' loose video inputs assignment ("Video1", "Video2" and so on). For this reason in order to switch to "Video1" (appears as Composite input on board), for example, you may need to click on "TV Tuner" in CinePlayer DVR.
 | CinePlayer DVR cannot tune to a TV channel in certain countries. Due to the absence of TV Tuner interfaces in VFW driver model many TV Tuner boards manufacturers implement their own proprietary TV Tuner modules.